Posts gaining far faster than their own normal pace right now
GET
/api/public/v1/content/breakout_postsLiveAnswers from your brand's records now.
Operation id getContentBreakoutPosts
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/breakout_posts" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
| min_ratio | query | number | |
| limit | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.posts | array of object | |
| data.posts[].[].avatar_url | string, nullable | |
| data.posts[].[].creator_name | string, nullable | |
| data.posts[].[].gain_24h | integer | |
| data.posts[].[].lifetime_total | integer | |
| data.posts[].[].pace | number | |
| data.posts[].[].pace_ratio | number | |
| data.posts[].[].platform | string | |
| data.posts[].[].post_url | string, nullable | |
| data.posts[].[].social_post_id | string | |
| data.posts[].[].sparkline | array of integer | |
| data.posts[].[].thumbnail_url | string, nullable | |
| data.posts[].[].user_id | integer, nullable | |
| data.posts[].[].username | string, nullable | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"posts": [
{
"avatar_url": "https://example.com/p/1",
"creator_name": "Example name",
"gain_24h": 3,
"lifetime_total": 3,
"pace": 125.5,
"pace_ratio": 125.5,
"platform": "string",
"post_url": "https://example.com/p/1",
"social_post_id": "string",
"sparkline": [
3
],
"thumbnail_url": "https://example.com/p/1",
"user_id": 1024,
"username": "Example name"
}
]
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.